<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8" />
  <title>Grade.us Single Sign-On Examples</title>
  
  <!-- Using jQuery -->
  <script type="text/javascript" src="http://code.jquery.com/jquery-2.1.4.min.js"></script>
  
  <!-- Latest compiled and minified Bootstrap CSS -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css">

  <!-- Local CSS -->
  <style>
  .field {
    margin: 10px;
  }
  .footer {
    padding-top: 20px;
    text-align: center;
  }
  .callout {
    padding: 20px 15px;
    background-color: #f6f6f6;
  }
  </style>

    
<?
// Include config and libs
include (dirname(__FILE__).'/lib.php');
include (dirname(__FILE__).'/config.php');

date_default_timezone_set('UTC');

// Check for POST data:
if (isset($_POST["email_address"])) {
  if (filter_var($_POST["email_address"], FILTER_VALIDATE_EMAIL)) {  
    $data = array(
      'email' => $_POST["email_address"],
      'date' => date("Y-m-d H:i:s")
    );
    $token = JWT::encode($data, $secret, 'HS256');
    $response = "Login URL created.";
  } else {
    $response =  "Email is invalid.";
  }
};

?>
  
</head>
<body>

<div class="container">
  <div class="row">
  
  <div class="col-md-12">
  <h1>Grade.us Single Sign-On Examples</h1>

<? // Show nicer feedback as needed ;)
if ($response) {
?><div class="alert alert-info"><p>
<? print_r($response) ?>
</p></div>
<? } ?>

  </div><!-- End .col-md-12 -->
  </div><!-- End .row -->

  <div class="row">
  <div class="col-md-6 col-md-offset-3">
  <div class="callout">
  
  <h2>Create User Login URL</h2>

<?
if ($response) {
?><pre>URL:
<? echo AUTH_BASE_URL . $token ?>
</pre>
<p><a href="<? echo AUTH_BASE_URL . $token ?>" target="_blank">Try it</a></p>
<? } ?>

<form method="post" enctype="multipart/form-data" action="">
  
  <div class="field">
  <label for="email_address">User Email</label>
  <input name="email_address" type="text" value="" class="form-control" tabindex="1">
  </div>

  <div class="footer">
  <input type="submit" value="Submit" class="btn btn-primary">
  </div>
  
</form>
		
		</div><!-- End .callout -->
  </div><!-- End .col-md-6 -->
  </div><!-- End .row -->

</div><!-- End .container -->

</body>
</html>
